Package in.cdac.medinfo.csnotk.csnolib.commons

## Enum EnumRelationshipType

- java.lang.Object
- - java.lang.Enum<EnumRelationshipType>
  - - in.cdac.medinfo.csnotk.csnolib.commons.EnumRelationshipType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EnumRelationshipType>`

      public enum EnumRelationshipType
      extends java.lang.Enum<EnumRelationshipType>

  Provides the SNOMED CT Concept id corresponding to a particular type of Relationship

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL` |
    `ATTRIBUTE` |
    `IS_A` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EnumRelationshipType` | `getEnumForId​(java.lang.String id)` | Returns enumeration for given string value.
    `static EnumRelationshipType` | `getEnumForValue​(java.lang.String value)` | Returns enumeration for given value
    `java.lang.String` | `getId()` | Returns SNOMEDCT identifier associated with enumeration.
    `java.lang.String` | `getValue()` | Returns the value associated with enumeration.
    `void` | `setId​(java.lang.String id)` | Sets SNOMEDCT identifier for enumeration.
    `void` | `setValue​(java.lang.String value)` | Sets value for enumeration.
    `static EnumRelationshipType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EnumRelationshipType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final EnumRelationshipType ALL

    - #### ATTRIBUTE

          public static final EnumRelationshipType ATTRIBUTE

    - #### IS_A

          public static final EnumRelationshipType IS_A

  - ### Method Detail

    - #### values

          public static EnumRelationshipType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumRelationshipType c : EnumRelationshipType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumRelationshipType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### setValue

          public void setValue​(java.lang.String value)

      Sets value for enumeration.
      Parameters:
        `value` - `String` value to be set.

    - #### getValue

          public java.lang.String getValue()

      Returns the value associated with enumeration.
      Returns:
        `String` value for enumeration.

    - #### getId

          public java.lang.String getId()

      Returns SNOMEDCT identifier associated with enumeration.
      Returns:
        `String` value for SNOMEDCT identifier associated with enumeration.

    - #### setId

          public void setId​(java.lang.String id)

      Sets SNOMEDCT identifier for enumeration.
      Parameters:
        `id` - `String` value for SNOMEDCT identifier.

    - #### getEnumForValue

          public static EnumRelationshipType getEnumForValue​(java.lang.String value)

      Returns enumeration for given value
      Parameters:
        `value` - `String` value to retrieve enumeration
      Returns:
        `EnumRelationshipType`

    - #### getEnumForId

          public static EnumRelationshipType getEnumForId​(java.lang.String id)

      Returns enumeration for given string value.
      Parameters:
        `id` - `String` identifier for which enumeration is to be retrieve.
      Returns:
        `EnumRelationshipType` enumeration for given string value